org.apache.cayenne.query

## Class QualifiedQuery

- java.lang.Object
- - org.apache.cayenne.query.AbstractQuery
  - - org.apache.cayenne.query.QualifiedQuery

- All Implemented Interfaces:
    Serializable, ConfigurationNode, Query
  Direct Known Subclasses:
    SelectQuery

      public abstract class QualifiedQuery
      extends AbstractQuery

  An abstract superclass of queries with Expression qualifiers.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Expression` | `qualifier`

    - ### Fields inherited from class org.apache.cayenne.query.AbstractQuery

      `dataMap, name, root`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QualifiedQuery()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `andQualifier(Expression e)` Adds specified qualifier to the existing qualifier joining it using "AND".
    `Expression` | `getQualifier()` Returns query qualifier.
    `void` | `orQualifier(Expression e)` Adds specified qualifier to the existing qualifier joining it using "OR".
    `void` | `setQualifier(Expression qualifier)` Sets new query qualifier.

    - ### Methods inherited from class org.apache.cayenne.query.AbstractQuery

      `acceptVisitor, createSQLAction, getDataMap, getMetaData, getName, getRoot, route, setDataMap, setName, setRoot, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### qualifier

          protected Expression qualifier

  - ### Constructor Detail

    - #### QualifiedQuery

          public QualifiedQuery()

  - ### Method Detail

    - #### setQualifier

          public void setQualifier(Expression qualifier)

      Sets new query qualifier.

    - #### getQualifier

          public Expression getQualifier()

      Returns query qualifier.

    - #### andQualifier

          public void andQualifier(Expression e)

      Adds specified qualifier to the existing qualifier joining it using "AND".

    - #### orQualifier

          public void orQualifier(Expression e)

      Adds specified qualifier to the existing qualifier joining it using "OR".

Copyright © 2001–2018 Apache Cayenne. All rights reserved.